---
search:
  tags:
    - customers
    - POST
seo:
  description: >-
    Create customer dedup key. Reference for the POST
    /workspaces/{organizationId}/customers/dedup-key endpoint in the Pile API.
sidebar:
  label: Create customer dedup key
  badge: POST
title: Create customer dedup key
type: openapi-operation
---
`POST /workspaces/{organizationId}/customers/dedup-key`

**Request body** (`application/json`)

- `name` (string, required)
- `address` (string | null)
- `phone` (string | null)
- `domain` (string | null)

Request body example:

```json
{
  "name": "string",
  "address": "string",
  "phone": "string",
  "domain": "string"
}
```

**Responses**

- `200` — Normalized SMB match key and any matching existing customer

Response example, 200:

```json
{
  "matchKey": "string",
  "normalizedName": "string",
  "normalizedAddress": "string",
  "phoneE164": "string",
  "normalizedDomain": "string",
  "matchedCustomerId": "string"
}
```
